<mat-dialog-content class="mat-typography">
<form [formGroup]="people" >
    <!-- ชื่อ-สกุล -->
    <div class="row">
      <div class="col"><label style="color: rgba(0, 0, 0, 0.548); font-family: monospace, sans-serif;font-size: 18px;">ชื่อ-สกุล</label></div>
    </div>
    <div class="row">
      <div class="col">
        <mat-form-field class="example-form " appearance="fill">
          <mat-label>{{name_Edit}}</mat-label>
          <input matInput id="name" type="text"  #input  formControlName="name">
        </mat-form-field>
        <!-- <input class=" form-control" id="name"  type="text" placeholder={{name_Edit}} formControlName="name"> -->
      </div>
    </div>
    <!-- เลือกเพศ -->
    <br>
    <label style="color: rgba(0, 0, 0, 0.548); font-family: monospace, sans-serif;font-size: 18px;">เพศ</label>
    <br>
    <mat-radio-group aria-label="Select an option" id="sex" formControlName="sex">
      <mat-radio-button value="ชาย">ชาย</mat-radio-button>
      <mat-radio-button value="หญิง">หญิง</mat-radio-button>
      <mat-radio-button value="ทางเลือก">ทางเลือก</mat-radio-button>
    </mat-radio-group>
    
    <!-- วันที่ได้รับวัคซีน -->
    <br><br>
    <div class="form-group" >
    
      <!-- #docregion toggle -->
      <mat-form-field class="example-form " appearance="fill">
        <mat-label>วันที่ได้รับวัคซีน</mat-label>
        <input id="date" formControlName="date" matInput #input [matDatepicker]="picker">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
    </div>

    <!-- ชนิด -->
    <mat-form-field appearance="fill" >
      <mat-label  style="color: rgba(0, 0, 0, 0.548); font-family: monospace, sans-serif;font-size: 24px;" >{{type_Edit}}</mat-label>
      <mat-select id="type"  formControlName="type" >
        <mat-option *ngFor="let type of Service.types" [value]="type.value" >
          {{type.viewValue}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </form>
</mat-dialog-content>
  <mat-dialog-actions>
    <div class="col-sm-6"><button type="button" class="btn btn-outline-success" (click)="onSubmit()" block [disabled]="!people.valid">ยืนยัน</button></div>
    <div class="col-sm-6"><button type="button" class="btn btn-outline-dark" mat-dialog-close>ยกเลิก</button></div>
  </mat-dialog-actions>
  